#! /usr/bin/env python
# -*- coding: utf8 -*-

from gi.repository import Gtk
import gi
gi.require_version('Gtk', '3.0')


class MyWindow(Gtk.Window):

    def __init__(self):
        Gtk.Window.__init__(self, title="Hello World")

        # self.box = Gtk.Box(orientation=Gtk.Orientation.Vertical, spacing=5)
        # self.add(self.box)

        box_outer = Gtk.Box(orientation=Gtk.Orientation.VERTICAL, spacing=6)
        self.add(box_outer)

        listbox = Gtk.ListBox()
        listbox.set_selection_mode(Gtk.SelectionMode.NONE)
        box_outer.pack_start(listbox, True, True, 0)

        # --

        row = self.label_entry("Username")
        listbox.add(row)

        # --

        row = self.label_entry("Password")
        listbox.add(row)

        # --

        row = Gtk.ListBoxRow()
        hbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL, spacing=20)
        row.add(hbox)
        vbox = Gtk.Box(orientation=Gtk.Orientation.VERTICAL)
        hbox.pack_start(vbox, False, True, 0)

        button = Gtk.Button(label="Save")
        vbox.pack_start(button, True, True, 0)

        button = Gtk.Button(label="Discard")
        hbox.pack_start(button, False, True, 0)

        button = Gtk.Button(label="Close")
        hbox.pack_start(button, False, True, 0)

        listbox.add(row)

        # --

    def label_entry(self, label, text=""):
        row = Gtk.ListBoxRow()
        hbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL, spacing=20)
        row.add(hbox)
        label = Gtk.Label(label, xalign=0)
        hbox.pack_start(label, True, True, 0)
        entry = Gtk.Entry()
        entry.set_text(text)
        hbox.pack_start(entry, True, True, 0)
        return row

    # self.label1 = Gtk.Label(label="Username")
    # box.pack_start(label1, expand=False, fill=False, padding=0)

    # self.button1 = Gtk.Entry(label="Hello")
    # self.button1.connect("clicked", self.on_button1_clicked)
    # self.box.pack_start(self.button1, True, True, 0)

    # self.button2 = Gtk.Entry(label="Goodbye")
    # self.button2.connect("clicked", self.on_button2_clicked)
    # self.box.pack_start(self.button2, True, True, 0)

    # def on_button1_clicked(self, widget):
    #     print("Hello")

    # def on_button2_clicked(self, widget):
    #     print("Goodbye")


win = MyWindow()
win.connect("destroy", Gtk.main_quit)
win.show_all()
Gtk.main()
